<app-page-title [heading]="heading" [subheading]="subheading" [icon]="icon">
  <button (click)="newRow()" class="btn btn-primary">
    <i class="fa fa-plus mr-2"></i>Nuevo
  </button>
  <button type="button" class="btn btn-success ml-1" (click)="guardar()" [disabled]="ngForm.invalid">
    <i class="fa fa-save mr-2"></i>Guardar
  </button>
  <button class="btn btn-danger ml-1" [disabled]="!flagEdit" (click)="eliminar()">
    <i class="fas fa-trash-alt mr-2"></i>Eliminar
  </button>
</app-page-title>

<div class="main-card mb-3 card">
  <div class="card-body">

    <form [formGroup]="ngForm">
      <div class="row">
        <div class="col-2">
          <label class="w-100"># Cuarto</label>
          <div class="input-group">
            <input type="text" class="form-control" formControlName="Cuarto" readonly="true" maxlength="7">
            <div class="input-group-append">
              <button class="btn btn-primary" type="button" (click)="openModal(modal, 'fl')">
                <i class="fas fa-search"></i>
              </button>
            </div>
          </div>
        </div>
        <div class="col-2">
          <div class="form-group">
            <label># Folio</label>
            <input type="tel" formControlName="NoFolio" class="form-control" readonly>
          </div>
        </div>
        <div class="col-2">
          <div class="form-group">
            <label>Hora</label>
            <kendo-timepicker
            [(ngModel)]="hour" [(value)]="hour" [ngModelOptions]="{standalone: true}">
            </kendo-timepicker>
          </div>
        </div>
        <div class="col-3">
          <div class="form-group">
            <label>Nombre</label>
            <input type="text" formControlName="Nombre" class="form-control" readonly>
          </div>
        </div>
        <div class="form-group col-12 col-sm-3 col-md-3 col-lg-3 col-xl-3">
          <label class="w-100">Fecha de Despertador</label>
          <kendo-datepicker formControlName="FechaDespertador" class="w-100" [format]="formatKendo">
          </kendo-datepicker>
        </div>
      </div>

    </form>

    <div class="divider"></div>

    <kendo-grid [kendoGridBinding]="dataGrid" *ngIf="!loading" [selectable]="true" [filter]="filter" [filterable]="true"
      [navigable]="true" [reorderable]="true" [resizable]="true" [sortable]="true" (selectionChange)="selectRow($event)"
      [pageSize]="pageSize" [skip]="skip" [pageable]="{buttonCount: 5, pageSizes: [10, 25, 50]}" style="height: 60vh;"
      class="mt-1">
      <div *ngIf="dataGrid.length !== 0">
        <kendo-grid-column field="NoFolio" title="# de Folio" width="70"></kendo-grid-column>
        <kendo-grid-column field="Hora" title="Hora" width="70">
          <ng-template kendoGridCellTemplate let-dataItem>{{ dataItem.Hora | hour }}
          </ng-template>
        </kendo-grid-column>
        <kendo-grid-column field="FechaDespertador" title="Fecha Desp." width="80">
          <ng-template kendoGridCellTemplate let-dataItem>
            {{ dataItem.FechaDespertador | date: formatKendo }}
          </ng-template>
        </kendo-grid-column>
      </div>
      <ng-template kendoGridNoRecordsTemplate>
        {{ noRecords }}
      </ng-template>
    </kendo-grid>
  </div>
  <app-loading *ngIf="loading"></app-loading>
</div>

<ng-template #modal let-modal let-c="close">
  <div class="modal-header">
    <h6 class="modal-title" id="modal-graf">{{ modalTitle }}</h6>
    <button class="close" aria-label="Close" (click)="modal.dismiss()">
      <span aria-hidden="true">&times;</span>
    </button>
  </div>
  <div class="modal-body">
    <app-buscar [typeSearch]="'H'" (resultFolio)="getDataModal($event, 'fl'); c();" *ngIf="modalType === 'fl'">
    </app-buscar>
  </div>
  <div class="modal-footer">
    <button class="btn btn-secondary" (click)="c()">Cerrar</button>
  </div>
</ng-template>
